Subject: bug#44151: trmap: remote gdb with ssh doesn't work

From: Michael Albinus <[email-masked]>
Date: Sat, 24 Oct 2020 16:25:00 +0200

William Xu <[email-masked]> writes:

Hi,

> Thanks for the fast fix! Yes, now gdb can work.

Thanks for the feedback. I've pushed the patch to the repo.

> However, I notice that after I set a breakpoint in the file, I could see
> the red dot for the breakpoint in the buffer, but when I start to run
> it, I don't see the debugger step marker in the file buffer, for
> indicating the next line to follow. Is this expected behavior?

No, I don't believe so. I could confirm this misbehaviour.

And I'm sorry, I don't know gdb-mi.el. Hopefully, somebody else could
fix this.

Best regards, Michael.